Skip to Content
Reservations

List Customer Reservations

Accesso

Membro dell’organizzazione con questo permesso:

  • reservations:read

Una chiave API con scope deve avere il permesso anche tra i suoi scope.

GET
/orgs/{organizationId}/customers/{customerId}/reservations

Lists reservations for a customer with pagination, filtering, and sorting.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

customerId*string

Query Parameters

page?integer
Range-9007199254740991 <= value <= 9007199254740991
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
sortBy?string
Value in"id""displayId""status""note""checkIn""checkOut""checkedInAt""checkedOutAt""canceledAt""numberOfToddlers""numberOfChildren""numberOfAdults""numberOfAnimals""paidUntil""createdAt""updatedAt""preferredTerrainId""customerId""reservationGroupId""licensePlates""customFields""allowOnlinePayments""sendConfirmationEmails""source""bookingReference""holdExpiresAt""bookingSnapshot""invoiceId""pendingPaymentMailSentAt""balanceReminderSentAt""arrivalReminderSentAt""checkoutFollowUpSentAt"
sortDir?string
Value in"asc""desc"
include?|array<>|string
preferredTerrainId?string|array<string>|null
reservationGroupId?string|array<string>|null
invoiceId?string|array<string>|null
status?|array<>|
source?|array<>|
allowOnlinePayments?boolean|string|number|null
sendConfirmationEmails?boolean|string|number|null
numberOfToddlers?number||
numberOfChildren?number||
numberOfAdults?number||
numberOfAnimals?number||
checkIn?|null
checkOut?|null
checkedInAt?|null
checkedOutAt?|null
canceledAt?|null
paidUntil?|null
createdAt?|null
updatedAt?|null
holdExpiresAt?|null
pendingPaymentMailSentAt?|null
balanceReminderSentAt?|null
arrivalReminderSentAt?|null
checkoutFollowUpSentAt?|null
displayId?string|array<string>|
note?string|array<string>|
licensePlates?string|array<string>|
bookingReference?string|array<string>|
customFields?
bookingSnapshot?
hasOccupations?boolean|string|number|null
hasNoOccupations?boolean|string|number|null
hasGuestSegments?boolean|string|number|null
hasNoGuestSegments?boolean|string|number|null
hasExtras?boolean|string|number|null
hasNoExtras?boolean|string|number|null
hasAccessMethods?boolean|string|number|null
hasNoAccessMethods?boolean|string|number|null
hasInvoiceItems?boolean|string|number|null
hasNoInvoiceItems?boolean|string|number|null
hasComments?boolean|string|number|null
hasNoComments?boolean|string|number|null
hasTasks?boolean|string|number|null
hasNoTasks?boolean|string|number|null
hasEventLogs?boolean|string|number|null
hasNoEventLogs?boolean|string|number|null
hasAuditLogs?boolean|string|number|null
hasNoAuditLogs?boolean|string|number|null
occupationId?string|array<string>|
guestSegmentId?string|array<string>|
extraId?string|array<string>|
accessMethodId?string|array<string>|
invoiceItemId?string|array<string>|
commentId?string|array<string>|
taskId?string|array<string>|
eventLogId?string|array<string>|
auditLogId?string|array<string>|
hasPreferredTerrain?boolean|string|number|null
hasNoPreferredTerrain?boolean|string|number|null
hasReservationGroup?boolean|string|number|null
hasNoReservationGroup?boolean|string|number|null
hasInvoice?boolean|string|number|null
hasNoInvoice?boolean|string|number|null
mapViewOn?string
Formatdate-time
mapUpcomingHorizonDays?integer
Range1 <= value <= 730

Response Body

OK

application/json
  1. response
Example Request
curl -X GET 'https://api.tillor.eu/orgs//customers/string/reservations'
Example Response
null